/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/


#ifndef _TLV320AIC23B_H_
#define _TLV320AIC23B_H_

#ifdef __cplusplus
extern "C" {
#endif

    
void tlv320aic23b_init( void );
// left and right are in DB (+6 .. -73, 3dB steps)
void tlv320aic23b_vol_hp( int left, int right );
void tlv320aic23b_powerdown( void );


#ifdef __cplusplus
} /* extern "C" */
#endif

#endif

