
/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/

#ifndef _LED_H_
#define _LED_H_

#define LED_YELLOW	(1<<0)
#define LED_GREEN	(1<<1)
#define LED_RED		(1<<2)

#ifdef __cplusplus
extern "C" {
#endif

void led_init( void );

void led_on( int led );
void led_off( int led );
void led_swap( int led );

#ifdef __cplusplus
}
#endif

#endif
