#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>

#define BUFLEN 256
#define PORT 9936

void diep(char *s)
{
    perror(s);
    exit(1);
}



int main(void)
{
    struct sockaddr_in *sock_server;
    int s, i;
    socklen_t socklen = sizeof(struct sockaddr_in);
    char buf[BUFLEN];

    sock_server = (struct sockaddr_in *) malloc( socklen );

    if ( !sock_server )
        diep( "allocation failed" );

    if ((s = socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP)) == -1)
        diep("socket");

    sock_server->sin_family = AF_INET;
    sock_server->sin_port = htons(PORT);

    if (inet_aton("192.168.6.20", &(sock_server->sin_addr)) == 0) {

        fprintf(stderr, "inet_aton() failed\n");
        exit(1);

    }

    for (i = 0; i < 3; i++) {

        printf("Sending packet %d\n", i);
        sprintf(buf, "This is packet %d\n", i);

        if (sendto(s, buf, BUFLEN, 0,
                   (struct sockaddr*) sock_server, socklen) == -1)
            diep("sendto()");

    }

    close(s);
    return 0;
}

