#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>

#include <sys/ioctl.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/soundcard.h>

#define BUFLEN 16
#define PORT 9936

void diep(char *s)
{
    perror(s);
    exit(1);
}

int main(void)
{
    struct sockaddr_in *sock_server, *sock_client;
    int s;
    socklen_t socklen = sizeof(struct sockaddr_in);

    sock_server = (struct sockaddr_in *) malloc( socklen );
    sock_client = (struct sockaddr_in *) malloc( socklen );

    if ( !sock_server || !sock_client )
        diep( "allocation failed" );

    if ((s = socket(PF_INET, SOCK_DGRAM, IPPROTO_UDP)) == -1)
        diep("socket()");

    sock_server->sin_family = AF_INET;
    sock_server->sin_port = htons(PORT);
    sock_server->sin_addr.s_addr = htonl(INADDR_ANY);

    sock_client->sin_family = AF_INET;
    sock_client->sin_port = htons(PORT);
    if (inet_aton("192.168.6.20", &(sock_client->sin_addr)) == 0) {

        fprintf(stderr, "inet_aton() failed\n");
        exit(1);

    }
    
    if ( bind(s, (struct sockaddr *) sock_server, socklen ) == -1)
        diep("bind()");
    
    
    char buf[BUFLEN];
    for (unsigned int i = 0; i<BUFLEN; i++) buf[i] = i;
    unsigned int last = 0, i = -100;
        
    while( 1 ) {

        
        if (rand() > RAND_MAX/2) {
            // transmit 2 packets in wrong order
            *((int*)(buf+2)) = i+1;
            if (sendto(s, buf, BUFLEN, 0, (struct sockaddr*) sock_client, socklen) == -1)
                diep("sendto()");
            *((int*)(buf+2)) = i;
            if (sendto(s, buf, BUFLEN, 0, (struct sockaddr*) sock_client, socklen) == -1)
                diep("sendto()");
            i+=2;
        } else {
            //  transmit 1 packet
            *((int*)(buf+2)) = i++;
            if (sendto(s, buf, BUFLEN, 0, (struct sockaddr*) sock_client, socklen) == -1)
                diep("sendto()");
        }
        usleep( 100000 );

    }

    close(s);
    return 0;

    
}
