/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/

/** memory routines...
 */

#ifdef __cplusplus
extern "C" {
#endif

void mem_init( void );

void mem_use( void * mem );
void mem_free( void * mem );
unsigned int mem_usecount( void * mem );

/** optimum size of allocated buffers is:
 * 120 + x * 128, x = 1,2,3,...
 */
void * mem_allocate( unsigned int size );
        
void memory_test( void );

unsigned int mem_fill( void );


#ifdef __cplusplus
}
#endif
