/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/



#ifndef _USERCONFIG_H_
#define _USERCONFIG_H_

#include "net/dll/ethernet.h"
#include "net/net/ipv4.h"

// the actual definitions for the values is done int netconfig.c

extern const ethernet_address this_ethernet_address; // = {0x5c,0x00,0x10,0x51,0x45,0xb9};
extern const ipv4_address this_ipv4_address; // = {192,168,6,20};
extern const ipv4_address this_ipv4_subnet; // = A2IPV4(192,168,6,0);
extern const ipv4_address this_ipv4_mask; // = A2IPV4(255,255,255,0);
extern const ipv4_address this_ipv4_gateway; // = A2IPV4(192,168,6,11);

extern const ethernet_address ethernet_broadcast_address; // = { 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF };












#endif
