/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/



#include "net/netconfig.h"

#include "system/error.h"

#include "debug/debug.h"
#define DBG_LEVEL	DBG_LEVEL_ERROR
#include "debug/debug.h"


ERROR ethernet_init( void ) {
    return ERROR_SUCCESS;
}

/** Send a packet out to the medium
 */
ERROR ethernet_send_packet( void * mem, unsigned int len, ethernet_address * dst, ethernet_protocol proto ) {
    ethernet_header * ehdr = (ethernet_header *)(mem + ETHERNET_OFFSET - ETHERNET_HEADER_SIZE);
    ehdr->src = this_ethernet_address;
    ehdr->dest = *dst;
    ehdr->proto = proto;
    return ETHERNET_SEND_PACKET( mem, len );
}

/** incoming packets are handled by the inline function in ethernet.h
 */

