/*

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Copyright (C) 2006 by Clemens Helfmeier,
    Clemens(at)Helfmeier[dot]de

*/



#ifndef _NETUTILS_H_
#define _NETUTILS_H_

#include "net/net/ipv4.h"

#ifdef __cplusplus
extern "C" {
#endif


    
uint16_t mem_crc16( void * mem, unsigned int len );

uint16_t mem_crc16_pseudo(void * mem, unsigned int len, ipv4_address dst, ipv4_address src, ipv4_protocol proto, uint16_t proto_len);

















#ifdef __cplusplus
}
#endif
#endif
